Package io.dapr.v1

# Class DaprProtos.SaveStateRequest.Builder

java.lang.Object
com.google.protobuf.AbstractMessageLite.Builder
com.google.protobuf.AbstractMessage.Builder<BuilderType>
com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.SaveStateRequest.Builder>
io.dapr.v1.DaprProtos.SaveStateRequest.Builder

All Implemented Interfaces:
  `com.google.protobuf.Message.Builder`, `com.google.protobuf.MessageLite.Builder`, `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`, `DaprProtos.SaveStateRequestOrBuilder`, `java.lang.Cloneable`

Enclosing class:
  DaprProtos.SaveStateRequest

    public static final class DaprProtos.SaveStateRequest.Builder
    extends com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.SaveStateRequest.Builder>
    implements DaprProtos.SaveStateRequestOrBuilder

     SaveStateRequest is the message to save multiple states into state store.

Protobuf type `dapr.proto.runtime.v1.SaveStateRequest`

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `DaprProtos.SaveStateRequest.Builder` | `addAllStates​(java.lang.Iterable<? extends CommonProtos.StateItem> values)` | The array of the state key values.
  `DaprProtos.SaveStateRequest.Builder` | `addRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field, java.lang.Object value)` |
  `DaprProtos.SaveStateRequest.Builder` | `addStates​(int index, CommonProtos.StateItem value)` | The array of the state key values.
  `DaprProtos.SaveStateRequest.Builder` | `addStates​(int index, CommonProtos.StateItem.Builder builderForValue)` | The array of the state key values.
  `DaprProtos.SaveStateRequest.Builder` | `addStates​(CommonProtos.StateItem value)` | The array of the state key values.
  `DaprProtos.SaveStateRequest.Builder` | `addStates​(CommonProtos.StateItem.Builder builderForValue)` | The array of the state key values.
  `CommonProtos.StateItem.Builder` | `addStatesBuilder()` | The array of the state key values.
  `CommonProtos.StateItem.Builder` | `addStatesBuilder​(int index)` | The array of the state key values.
  `DaprProtos.SaveStateRequest` | `build()` |
  `DaprProtos.SaveStateRequest` | `buildPartial()` |
  `DaprProtos.SaveStateRequest.Builder` | `clear()` |
  `DaprProtos.SaveStateRequest.Builder` | `clearField​(com.google.protobuf.Descriptors.FieldDescriptor field)` |
  `DaprProtos.SaveStateRequest.Builder` | `clearOneof​(com.google.protobuf.Descriptors.OneofDescriptor oneof)` |
  `DaprProtos.SaveStateRequest.Builder` | `clearStates()` | The array of the state key values.
  `DaprProtos.SaveStateRequest.Builder` | `clearStoreName()` | The name of state store.
  `DaprProtos.SaveStateRequest.Builder` | `clone()` |
  `DaprProtos.SaveStateRequest` | `getDefaultInstanceForType()` |
  `static com.google.protobuf.Descriptors.Descriptor` | `getDescriptor()` |
  `com.google.protobuf.Descriptors.Descriptor` | `getDescriptorForType()` |
  `CommonProtos.StateItem` | `getStates​(int index)` | The array of the state key values.
  `CommonProtos.StateItem.Builder` | `getStatesBuilder​(int index)` | The array of the state key values.
  `java.util.List<CommonProtos.StateItem.Builder>` | `getStatesBuilderList()` | The array of the state key values.
  `int` | `getStatesCount()` | The array of the state key values.
  `java.util.List<CommonProtos.StateItem>` | `getStatesList()` | The array of the state key values.
  `CommonProtos.StateItemOrBuilder` | `getStatesOrBuilder​(int index)` | The array of the state key values.
  `java.util.List<? extends CommonProtos.StateItemOrBuilder>` | `getStatesOrBuilderList()` | The array of the state key values.
  `java.lang.String` | `getStoreName()` | The name of state store.
  `com.google.protobuf.ByteString` | `getStoreNameBytes()` | The name of state store.
  `protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable` | `internalGetFieldAccessorTable()` |
  `boolean` | `isInitialized()` |
  `DaprProtos.SaveStateRequest.Builder` | `mergeFrom​(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)` |
  `DaprProtos.SaveStateRequest.Builder` | `mergeFrom​(com.google.protobuf.Message other)` |
  `DaprProtos.SaveStateRequest.Builder` | `mergeFrom​(DaprProtos.SaveStateRequest other)` |
  `DaprProtos.SaveStateRequest.Builder` | `mergeUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)` |
  `DaprProtos.SaveStateRequest.Builder` | `removeStates​(int index)` | The array of the state key values.
  `DaprProtos.SaveStateRequest.Builder` | `setField​(com.google.protobuf.Descriptors.FieldDescriptor field, java.lang.Object value)` |
  `DaprProtos.SaveStateRequest.Builder` | `setRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field, int index, java.lang.Object value)` |
  `DaprProtos.SaveStateRequest.Builder` | `setStates​(int index, CommonProtos.StateItem value)` | The array of the state key values.
  `DaprProtos.SaveStateRequest.Builder` | `setStates​(int index, CommonProtos.StateItem.Builder builderForValue)` | The array of the state key values.
  `DaprProtos.SaveStateRequest.Builder` | `setStoreName​(java.lang.String value)` | The name of state store.
  `DaprProtos.SaveStateRequest.Builder` | `setStoreNameBytes​(com.google.protobuf.ByteString value)` | The name of state store.
  `DaprProtos.SaveStateRequest.Builder` | `setUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)` |

  ### Methods inherited from class com.google.protobuf.GeneratedMessageV3.Builder

  `getAllFields, getField, getFieldBuilder, getOneofFieldDescriptor, getParentForChildren, getRepeatedField, getRepeatedFieldBuilder, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof, internalGetMapField, internalGetMutableMapField, isClean, markClean, newBuilderForField, onBuilt, onChanged, setUnknownFieldsProto3`

  ### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

  `findInitializationErrors, getInitializationErrorString, internalMergeFrom, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException, toString`

  ### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

  `addAll, addAll, mergeFrom, newUninitializedMessageException`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface com.google.protobuf.MessageLite.Builder

  `mergeFrom`

  ### Methods inherited from interface com.google.protobuf.MessageOrBuilder

  `findInitializationErrors, getAllFields, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

- ## Method Details

  - ### getDescriptor

    public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

  - ### internalGetFieldAccessorTable

    protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()
    Specified by:
      `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.SaveStateRequest.Builder>`

  - ### clear

    public DaprProtos.SaveStateRequest.Builder clear()
    Specified by:
      `clear` in interface `com.google.protobuf.Message.Builder`
    Specified by:
      `clear` in interface `com.google.protobuf.MessageLite.Builder`
    Overrides:
      `clear` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.SaveStateRequest.Builder>`

  - ### getDescriptorForType

    public com.google.protobuf.Descriptors.Descriptor getDescriptorForType()
    Specified by:
      `getDescriptorForType` in interface `com.google.protobuf.Message.Builder`
    Specified by:
      `getDescriptorForType` in interface `com.google.protobuf.MessageOrBuilder`
    Overrides:
      `getDescriptorForType` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.SaveStateRequest.Builder>`

  - ### getDefaultInstanceForType

    public DaprProtos.SaveStateRequest getDefaultInstanceForType()
    Specified by:
      `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
    Specified by:
      `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

  - ### build

    public DaprProtos.SaveStateRequest build()
    Specified by:
      `build` in interface `com.google.protobuf.Message.Builder`
    Specified by:
      `build` in interface `com.google.protobuf.MessageLite.Builder`

  - ### buildPartial

    public DaprProtos.SaveStateRequest buildPartial()
    Specified by:
      `buildPartial` in interface `com.google.protobuf.Message.Builder`
    Specified by:
      `buildPartial` in interface `com.google.protobuf.MessageLite.Builder`

  - ### clone

    public DaprProtos.SaveStateRequest.Builder clone()
    Specified by:
      `clone` in interface `com.google.protobuf.Message.Builder`
    Specified by:
      `clone` in interface `com.google.protobuf.MessageLite.Builder`
    Overrides:
      `clone` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.SaveStateRequest.Builder>`

  - ### setField

    public DaprProtos.SaveStateRequest.Builder setField​(com.google.protobuf.Descriptors.FieldDescriptor field, java.lang.Object value)
    Specified by:
      `setField` in interface `com.google.protobuf.Message.Builder`
    Overrides:
      `setField` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.SaveStateRequest.Builder>`

  - ### clearField

    public DaprProtos.SaveStateRequest.Builder clearField​(com.google.protobuf.Descriptors.FieldDescriptor field)
    Specified by:
      `clearField` in interface `com.google.protobuf.Message.Builder`
    Overrides:
      `clearField` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.SaveStateRequest.Builder>`

  - ### clearOneof

    public DaprProtos.SaveStateRequest.Builder clearOneof​(com.google.protobuf.Descriptors.OneofDescriptor oneof)
    Specified by:
      `clearOneof` in interface `com.google.protobuf.Message.Builder`
    Overrides:
      `clearOneof` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.SaveStateRequest.Builder>`

  - ### setRepeatedField

    public DaprProtos.SaveStateRequest.Builder setRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field, int index, java.lang.Object value)
    Specified by:
      `setRepeatedField` in interface `com.google.protobuf.Message.Builder`
    Overrides:
      `setRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.SaveStateRequest.Builder>`

  - ### addRepeatedField

    public DaprProtos.SaveStateRequest.Builder addRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field, java.lang.Object value)
    Specified by:
      `addRepeatedField` in interface `com.google.protobuf.Message.Builder`
    Overrides:
      `addRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.SaveStateRequest.Builder>`

  - ### mergeFrom

    public DaprProtos.SaveStateRequest.Builder mergeFrom​(com.google.protobuf.Message other)
    Specified by:
      `mergeFrom` in interface `com.google.protobuf.Message.Builder`
    Overrides:
      `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<DaprProtos.SaveStateRequest.Builder>`

  - ### mergeFrom

    public DaprProtos.SaveStateRequest.Builder mergeFrom​(DaprProtos.SaveStateRequest other)

  - ### isInitialized

    public final boolean isInitialized()
    Specified by:
      `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
    Overrides:
      `isInitialized` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.SaveStateRequest.Builder>`

  - ### mergeFrom

    public DaprProtos.SaveStateRequest.Builder mergeFrom​(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws java.io.IOException
    Specified by:
      `mergeFrom` in interface `com.google.protobuf.Message.Builder`
    Specified by:
      `mergeFrom` in interface `com.google.protobuf.MessageLite.Builder`
    Overrides:
      `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<DaprProtos.SaveStateRequest.Builder>`
    Throws:
      `java.io.IOException`

  - ### getStoreName

    public java.lang.String getStoreName()

         The name of state store.

    `string store_name = 1;`
    Specified by:
      `getStoreName` in interface `DaprProtos.SaveStateRequestOrBuilder`
    Returns:
      The storeName.

  - ### getStoreNameBytes

    public com.google.protobuf.ByteString getStoreNameBytes()

         The name of state store.

    `string store_name = 1;`
    Specified by:
      `getStoreNameBytes` in interface `DaprProtos.SaveStateRequestOrBuilder`
    Returns:
      The bytes for storeName.

  - ### setStoreName

    public DaprProtos.SaveStateRequest.Builder setStoreName​(java.lang.String value)

         The name of state store.

    `string store_name = 1;`
    Parameters:
      `value` - The storeName to set.
    Returns:
      This builder for chaining.

  - ### clearStoreName

    public DaprProtos.SaveStateRequest.Builder clearStoreName()

         The name of state store.

    `string store_name = 1;`
    Returns:
      This builder for chaining.

  - ### setStoreNameBytes

    public DaprProtos.SaveStateRequest.Builder setStoreNameBytes​(com.google.protobuf.ByteString value)

         The name of state store.

    `string store_name = 1;`
    Parameters:
      `value` - The bytes for storeName to set.
    Returns:
      This builder for chaining.

  - ### getStatesList

    public java.util.List<CommonProtos.StateItem> getStatesList()

         The array of the state key values.

    `repeated .dapr.proto.common.v1.StateItem states = 2;`
    Specified by:
      `getStatesList` in interface `DaprProtos.SaveStateRequestOrBuilder`

  - ### getStatesCount

    public int getStatesCount()

         The array of the state key values.

    `repeated .dapr.proto.common.v1.StateItem states = 2;`
    Specified by:
      `getStatesCount` in interface `DaprProtos.SaveStateRequestOrBuilder`

  - ### getStates

    public CommonProtos.StateItem getStates​(int index)

         The array of the state key values.

    `repeated .dapr.proto.common.v1.StateItem states = 2;`
    Specified by:
      `getStates` in interface `DaprProtos.SaveStateRequestOrBuilder`

  - ### setStates

    public DaprProtos.SaveStateRequest.Builder setStates​(int index, CommonProtos.StateItem value)

         The array of the state key values.

    `repeated .dapr.proto.common.v1.StateItem states = 2;`

  - ### setStates

    public DaprProtos.SaveStateRequest.Builder setStates​(int index, CommonProtos.StateItem.Builder builderForValue)

         The array of the state key values.

    `repeated .dapr.proto.common.v1.StateItem states = 2;`

  - ### addStates

    public DaprProtos.SaveStateRequest.Builder addStates​(CommonProtos.StateItem value)

         The array of the state key values.

    `repeated .dapr.proto.common.v1.StateItem states = 2;`

  - ### addStates

    public DaprProtos.SaveStateRequest.Builder addStates​(int index, CommonProtos.StateItem value)

         The array of the state key values.

    `repeated .dapr.proto.common.v1.StateItem states = 2;`

  - ### addStates

    public DaprProtos.SaveStateRequest.Builder addStates​(CommonProtos.StateItem.Builder builderForValue)

         The array of the state key values.

    `repeated .dapr.proto.common.v1.StateItem states = 2;`

  - ### addStates

    public DaprProtos.SaveStateRequest.Builder addStates​(int index, CommonProtos.StateItem.Builder builderForValue)

         The array of the state key values.

    `repeated .dapr.proto.common.v1.StateItem states = 2;`

  - ### addAllStates

    public DaprProtos.SaveStateRequest.Builder addAllStates​(java.lang.Iterable<? extends CommonProtos.StateItem> values)

         The array of the state key values.

    `repeated .dapr.proto.common.v1.StateItem states = 2;`

  - ### clearStates

    public DaprProtos.SaveStateRequest.Builder clearStates()

         The array of the state key values.

    `repeated .dapr.proto.common.v1.StateItem states = 2;`

  - ### removeStates

    public DaprProtos.SaveStateRequest.Builder removeStates​(int index)

         The array of the state key values.

    `repeated .dapr.proto.common.v1.StateItem states = 2;`

  - ### getStatesBuilder

    public CommonProtos.StateItem.Builder getStatesBuilder​(int index)

         The array of the state key values.

    `repeated .dapr.proto.common.v1.StateItem states = 2;`

  - ### getStatesOrBuilder

    public CommonProtos.StateItemOrBuilder getStatesOrBuilder​(int index)

         The array of the state key values.

    `repeated .dapr.proto.common.v1.StateItem states = 2;`
    Specified by:
      `getStatesOrBuilder` in interface `DaprProtos.SaveStateRequestOrBuilder`

  - ### getStatesOrBuilderList

    public java.util.List<? extends CommonProtos.StateItemOrBuilder> getStatesOrBuilderList()

         The array of the state key values.

    `repeated .dapr.proto.common.v1.StateItem states = 2;`
    Specified by:
      `getStatesOrBuilderList` in interface `DaprProtos.SaveStateRequestOrBuilder`

  - ### addStatesBuilder

    public CommonProtos.StateItem.Builder addStatesBuilder()

         The array of the state key values.

    `repeated .dapr.proto.common.v1.StateItem states = 2;`

  - ### addStatesBuilder

    public CommonProtos.StateItem.Builder addStatesBuilder​(int index)

         The array of the state key values.

    `repeated .dapr.proto.common.v1.StateItem states = 2;`

  - ### getStatesBuilderList

    public java.util.List<CommonProtos.StateItem.Builder> getStatesBuilderList()

         The array of the state key values.

    `repeated .dapr.proto.common.v1.StateItem states = 2;`

  - ### setUnknownFields

    public final DaprProtos.SaveStateRequest.Builder setUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)
    Specified by:
      `setUnknownFields` in interface `com.google.protobuf.Message.Builder`
    Overrides:
      `setUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.SaveStateRequest.Builder>`

  - ### mergeUnknownFields

    public final DaprProtos.SaveStateRequest.Builder mergeUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)
    Specified by:
      `mergeUnknownFields` in interface `com.google.protobuf.Message.Builder`
    Overrides:
      `mergeUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.SaveStateRequest.Builder>`